%define name rox-oroborox
%define version 0.9.7.9
%define release %mkrel 6
%define oname OroboROX

Summary: Window Manager for the ROX desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://roxos.sunsite.dk/dev-contrib/guido/%{oname}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/Other
Url: http://roscidus.com/desktop/OroboROX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libsm-devel
BuildRequires: libxrandr-devel
BuildRequires: libxinerama-devel
BuildRequires: libxext-devel
BuildRequires: libxrender-devel
BuildRequires: libxxf86vm-devel
BuildRequires: xft2-devel
BuildRequires: xpm-devel
BuildRequires: glib2-devel
Requires: rox-lib >= 1.9.13

%description
OroboROX is a small yet fully featured window manager with the ROX Desktop
in mind. OroboROX is based on Oroborus and at this point (version 0.8.2) mostly
identical with its version 2.0.13.


%prep
%setup -q -n %oname
# -n %oname-%version%pre
chmod -R go+r *
chmod 644 Configure/OroboScheme/icon-template.svg


%build
export CC="gcc -L%_prefix/X11R6/lib"
./AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_libdir/apps,%_bindir,%{_sysconfdir}/X11/wmsession.d}
cp -r ../%oname %buildroot%_libdir/apps/%oname
rm -rf %buildroot%_libdir/apps/%oname/src %buildroot%_libdir/apps/%oname/=build %buildroot%_libdir/apps/%oname/Messages/dist %buildroot%_libdir/apps/%oname/Messages/*po %buildroot%_libdir/apps/%oname/Messages/tips.py %buildroot%_libdir/apps/%oname/.xvpics %buildroot%_libdir/apps/%oname/.DirIcon_old
cat > %buildroot%_bindir/oroborox << EOF
#!/bin/bash
cd %_libdir/apps/%oname
./AppRun
EOF

#gw no translations in this version
#for gmo in %buildroot%_libdir/apps/%oname/Messages/*.gmo;do
#echo "%lang($(basename $gmo|sed s/.gmo//)) $(echo $gmo|sed s!%buildroot!!)" >> %name.lang
#done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_libdir/apps/%oname/
#%dir %_libdir/apps/%oname/Messages
%doc %_libdir/apps/%oname/Help
%attr(755,root,root) %_bindir/oroborox
%_libdir/apps/%oname/App*
%_libdir/apps/%oname/default*
%_libdir/apps/%oname/Linux-*
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/Configure




%changelog
* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.9.7.9-6mdv2008.1
+ Revision: 105736
- new URL
- fix build


* Fri Nov 03 2006 Götz Waschk <waschk@mandriva.org> 0.9.7.9-5mdv2007.0
+ Revision: 76243
- fix buildrequires
- fix buildrequires
-- Diese und diefix folgenden Zeilen werden ignoriert --
  M    SPECS/rox-oroborox.spec
- fix buildrequires
- Import rox-oroborox

* Fri Nov 03 2006 Gtz Waschk <waschk@mandriva.org> 0.9.7.9-2mdv2007.1
- mkrel

* Tue Oct 18 2005 Götz Waschk <waschk@mandriva.org> 0.9.7.9-1mdk
- New release 0.9.7.9

* Sat Oct 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- New release 0.9.5

* Thu Oct 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- New release 0.9.4

* Sat Oct 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- New release 0.9.3

* Tue Oct 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- source URL
- New release 0.9.2

* Sat Oct 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- fix build
- new version

* Mon Aug 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc9.1mdk
- new version

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc8.1mdk
- new version

* Sat Aug 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc6.1mdk
- new version

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc4.1mdk
- new version

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-0.rc3.1mdk
- new version

* Sun Jul 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.3-1mdk
- fix file list
- New release 0.8.7.3

* Sat Jun 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.2-1mdk
- fix build against broken xft
- New release 0.8.7.2

* Tue May 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7.1-1mdk
- add missing files
- New release 0.8.7.1

* Sun May 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- New release 0.8.7

* Tue May 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.5-1mdk
- spec fix
- New release 0.8.6.5

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.4-1mdk
- update file list
- New release 0.8.6.4

* Sat May 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.6.3-1mdk
- New release 0.8.6.3

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.2-1mdk
- add new file
- fix build of the locale files
- New release 0.8.6.2

* Thu Apr 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6.1-1mdk
- add translations
- drop patch
- New release 0.8.6.1

* Wed Apr 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-2mdk
- patch: fix window moving when numlock is active

* Wed Apr 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-1mdk
- fix build
- fix source URL
- New release 0.8.6

* Sat Apr 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- add source URL
- new version

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- fix rox-lib dependancy
- fix url

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- requires glib2
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3.1-1mdk
- initial package

